package combinatorParser.generic;

abstract class Grammar extends Parsers {
  
  def Expr : Parser =
    Term & rep{token('+') & Term | token('-') & Term}!;
  
  def Term : Parser =
    Factor & rep{token('*') & Factor | token('/') & Factor}!;
  
  def Factor : Parser =
    Number | token('(') & Expr & token(')')!;
  
  def Number : Parser = 
    token(Tokens.NUMBER)!;
  
}

