package combinatorParser.generic;

class GrammarPrinter extends Grammar {

  def reduce(elems: List[Any]): List[Any] = elems match {
    case Nil => Nil
    case x :: Nil => List(x.toString())
    case "(" :: x :: ")" :: Nil => List(x)
    case xs => List(xs.mkString("(", " ", ")"))
  }
  
}

