package combinatorParser.uniform;

object Grammar {

  import Parsers._;
  
  def Expr : Parser =
    Term & rep{token('+') & Term | token('-') & Term};
    
  def Term : Parser =
    Factor & rep{token('*') & Factor | token('/') & Factor};
    
  def Factor : Parser =
    Number | token('(') & Expr & token(')');
    
  def Number = token(Tokens.NUMBER)
  
}

