package combinatorParser;

object Tokens {
    
  val NUMBER = 1;
  val IDENT = 2;

  case class Token(tclass: Int, chars: String);

  def Token(char: Char): Token = Token(char, char.toString());
  def Token(number: Int): Token = Token(NUMBER, number.toString());
  def Token(ident: String): Token = Token(IDENT, ident.toString());
  
}

